Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatActionBarJoinRequest

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatActionBar
it.tdlight.jni.TdApi.ChatActionBarJoinRequest

Enclosing class:
  TdApi

public static final class TdApi.ChatActionBarJoinRequest extends TdApi.ChatActionBar
The chat is a private chat with an administrator of a chat to which the user sent join request.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`boolean`
`isChannel`
True, if the join request was sent to a channel chat.
`int`
`requestDate`
Point in time (Unix timestamp) when the join request was sent.
`String`
`title`
Title of the chat to which the join request was sent.

## Constructor Summary

Constructors
Constructor
Description
`ChatActionBarJoinRequest()`
The chat is a private chat with an administrator of a chat to which the user sent join request.
`ChatActionBarJoinRequest(DataInput input)`
The chat is a private chat with an administrator of a chat to which the user sent join request.
`ChatActionBarJoinRequest(String title, boolean isChannel, int requestDate)`
The chat is a private chat with an administrator of a chat to which the user sent join request.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Title of the chat to which the join request was sent.

### isChannel

public boolean isChannel
True, if the join request was sent to a channel chat.

### requestDate

public int requestDate
Point in time (Unix timestamp) when the join request was sent.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ChatActionBarJoinRequest

public ChatActionBarJoinRequest()
The chat is a private chat with an administrator of a chat to which the user sent join request.

### ChatActionBarJoinRequest

public ChatActionBarJoinRequest(String title, boolean isChannel, int requestDate)
The chat is a private chat with an administrator of a chat to which the user sent join request.

Parameters:
  `title` - Title of the chat to which the join request was sent.
  `isChannel` - True, if the join request was sent to a channel chat.
  `requestDate` - Point in time (Unix timestamp) when the join request was sent.

### ChatActionBarJoinRequest

public ChatActionBarJoinRequest(DataInput input) throws IOException
The chat is a private chat with an administrator of a chat to which the user sent join request.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`